# Deprecated API

## Contents

- Terminally Deprecated
- Classes
- Exceptions
- Methods
- Constructors

Terminally Deprecated Elements
Element
Description
org.springframework.transaction.reactive.GenericReactiveTransaction(Object, boolean, boolean, boolean, boolean, Object)
org.springframework.transaction.support.DefaultTransactionStatus(Object, boolean, boolean, boolean, boolean, Object)

Deprecated Classes
Class
Description
org.springframework.transaction.config.JtaTransactionManagerFactoryBean
as of 6.0, in favor of a straight `JtaTransactionManager` definition
org.springframework.transaction.support.TransactionSynchronizationAdapter
as of 5.3, in favor of the default methods on the `TransactionSynchronization` interface

Deprecated Exceptions
Exceptions
Description
org.springframework.dao.CannotSerializeTransactionException
as of 6.0.3, in favor of `PessimisticLockingFailureException`/`CannotAcquireLockException`
org.springframework.dao.CleanupFailureDataAccessException
as of 6.0.3 since it is not in use within core JDBC/ORM support
org.springframework.dao.DeadlockLoserDataAccessException
as of 6.0.3, in favor of `PessimisticLockingFailureException`/`CannotAcquireLockException`

Deprecated Methods
Method
Description
org.springframework.transaction.interceptor.TransactionAspectSupport.determineTransactionManager(TransactionAttribute)
as of 6.2, in favor of `TransactionAspectSupport.determineTransactionManager(TransactionAttribute, Class)`

Deprecated Constructors
Constructor
Description
org.springframework.transaction.interceptor.TransactionInterceptor(PlatformTransactionManager, Properties)
as of 5.2.5, in favor of `TransactionAspectSupport.setTransactionAttributes(Properties)`
org.springframework.transaction.interceptor.TransactionInterceptor(PlatformTransactionManager, TransactionAttributeSource)
as of 5.2.5, in favor of `TransactionInterceptor(TransactionManager, TransactionAttributeSource)`
org.springframework.transaction.jta.SpringJtaSynchronizationAdapter(TransactionSynchronization, TransactionManager)
as of 6.0.12 since JTA 1.1+ requires implicit rollback-only setting in case of an exception thrown in `beforeCompletion`, so the regular `SpringJtaSynchronizationAdapter(TransactionSynchronization)` constructor is sufficient for all scenarios
org.springframework.transaction.jta.SpringJtaSynchronizationAdapter(TransactionSynchronization, UserTransaction)
as of 6.0.12 since JTA 1.1+ requires implicit rollback-only setting in case of an exception thrown in `beforeCompletion`, so the regular `SpringJtaSynchronizationAdapter(TransactionSynchronization)` constructor is sufficient for all scenarios
org.springframework.transaction.reactive.GenericReactiveTransaction(Object, boolean, boolean, boolean, boolean, Object)
org.springframework.transaction.support.DefaultTransactionStatus(Object, boolean, boolean, boolean, boolean, Object)